Loading...
Searching...
No Matches
selection.hh File Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Provides classes for selecting indices based on attribute flags. More...

`#include <cstdint>`
`#include <dune/common/iteratorfacades.hh>`
`#include <dune/common/parallel/indexset.hh>`

Go to the source code of this file.

## Classes

class | Dune::SelectionIterator< TS, TG, TL, N >
| A const iterator over an uncached selection. More...
class | Dune::UncachedSelection< TS, TG, TL, N >
| An uncached selection of indices. More...
class | Dune::Selection< TS, TG, TL, N >
| A cached selection of indices. More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Provides classes for selecting indices based on attribute flags.

Author
  Markus Blatt